
%define debug_package %{nil}
Name:    mavryk-baking
Version: 20.2rc3
Release: 1
Epoch: 1
Summary: Package that provides systemd services that orchestrate other services from Mavryk packages
License: MIT
BuildArch: x86_64 aarch64
Source0: mavryk-baking-20.2rc3.tar.gz
Source1: https://gitlab.com/mavryk-network/mavryk-protocol/tree/v20.2-rc3/
BuildRequires: systemd systemd-rpm-macros, python3-devel, python3-setuptools, python3-wheel, python3-tox-current-env
Requires: mavryk-baker-PtBoreas, mavryk-node, acl, wget
%description
Package that provides systemd services that orchestrate other services from Mavryk packages
Maintainer: Mavryk Dynamics Cowbot <cowbot@mavryk.io>
%prep
%autosetup -p1 -n mavryk-baking-20.2rc3

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files mavryk_baking

%check
%tox


mkdir -p %{buildroot}/%{_unitdir}
install -m 644 mavryk-baking-mainnet.service %{buildroot}/%{_unitdir}
install -m 644 mavryk-baking-basenet.service %{buildroot}/%{_unitdir}
install -m 644 mavryk-baking-boreasnet.service %{buildroot}/%{_unitdir}
install -m 644 mavryk-baking-custom@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 mavryk-baking-mainnet.default %{buildroot}/%{_sysconfdir}/default/mavryk-baking-mainnet
install -m 644 mavryk-baking-basenet.default %{buildroot}/%{_sysconfdir}/default/mavryk-baking-basenet
install -m 644 mavryk-baking-boreasnet.default %{buildroot}/%{_sysconfdir}/default/mavryk-baking-boreasnet
install -m 644 mavryk-baking-custom@.default %{buildroot}/%{_sysconfdir}/default/mavryk-baking-custom@

install -m 0755 mavryk-baking-start %{buildroot}/%{_bindir}
install -m 0755 mavryk-baking-prestart %{buildroot}/%{_bindir}


%files
%{_bindir}/mavryk-setup
%{_bindir}/mavryk-vote
%{python3_sitelib}/mavryk_baking*
%license LICENSE

%{_bindir}/mavryk-baking-start
%{_bindir}/mavryk-baking-prestart

%{_unitdir}/mavryk-baking-mainnet.service
%{_unitdir}/mavryk-baking-basenet.service
%{_unitdir}/mavryk-baking-boreasnet.service
%{_unitdir}/mavryk-baking-custom@.service

%{_sysconfdir}/default/mavryk-baking-mainnet
%{_sysconfdir}/default/mavryk-baking-basenet
%{_sysconfdir}/default/mavryk-baking-boreasnet
%{_sysconfdir}/default/mavryk-baking-custom@



%post
%systemd_post mavryk-baking-mainnet.service
%systemd_post mavryk-baking-basenet.service
%systemd_post mavryk-baking-boreasnet.service
%systemd_post mavryk-baking-custom@.service



%preun
%systemd_preun mavryk-baking-mainnet.service
%systemd_preun mavryk-baking-basenet.service
%systemd_preun mavryk-baking-boreasnet.service
%systemd_preun mavryk-baking-custom@.service


%postun
%systemd_postun_with_restart mavryk-baking-mainnet.service
%systemd_postun_with_restart mavryk-baking-basenet.service
%systemd_postun_with_restart mavryk-baking-boreasnet.service
%systemd_postun_with_restart mavryk-baking-custom@.service



